# Uses of Enum Class
com.google.protobuf.DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic

Packages that use DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic
Modifier and Type
Method
Description
`static DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic.`forNumber(int value)`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.Annotation.Builder.`getSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.Annotation.`getSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.AnnotationOrBuilder.`getSemantic()`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`
`static DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic`
DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic[]`
DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic>`
DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic
Modifier and Type
Method
Description
`DescriptorProtos.GeneratedCodeInfo.Annotation.Builder`
DescriptorProtos.GeneratedCodeInfo.Annotation.Builder.`setSemantic(DescriptorProtos.GeneratedCodeInfo.Annotation.Semantic value)`
`optional .google.protobuf.GeneratedCodeInfo.Annotation.Semantic semantic = 5 [json_name = "semantic"];`